/*
 * System Interface Library for games
 * Copyright (c) 2007-2014 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/sound/decode-ogg.h: Test control header for Ogg Vorbis decoding
 * routines.
 */

#ifndef SIL_SRC_SOUND_DECODE_OGG_H
#define SIL_SRC_SOUND_DECODE_OGG_H

/*************************************************************************/
/************************ Test control interface *************************/
/*************************************************************************/

#ifdef INCLUDE_TESTS

/**
 * sound_decode_ogg_test_fail_next_seek:  Force the next seek operation
 * requested by the Vorbis decoding library to fail.  This can never happen
 * in normal operation, but it allows verification of non-OV_HOLE error
 * handling (which likewise cannot happen with the current library
 * implementation, but that could change in future library versions).
 */
extern void sound_decode_ogg_test_fail_next_seek(void);

#endif  // INCLUDE_TESTS

/*************************************************************************/
/*************************************************************************/

#endif  // SIL_SRC_SOUND_DECODE_OGG_H

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
